Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
linhhoncodoc

Học lập trình auto lisp.

Các bài được khuyến nghị

Dạo này công ty đang nhàn rỗi, mấy hôm trước em xem lisp của các anh chị trên diễn đàn mà em muốn học quá, nhưng ko biết bắt đầu từ đâu ?

Mong anh chị trên diễn đàn chỉ lối, hướng dẫn cho em nhập môn !

Xin chân thành cám ơn !

đây là mail của em : vandattk1986@gmai.com

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duy782006    1.374

Học lisp có vô vàn phương án:

-Đăng ký học online tại cadviet (có phí).

-Tìm tài liệu hướng dẩn trên net hoặc cadviet (miễn phí và vô khối).

-Mua sách hướng dẩn.

-Xem loạt hướng dẩn của tôi.

http://duy782006.blo...1%BA%BFt%20lisp

Vân vân và vân vân.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Lisp Ghi chiều dài thanh thép bên cạnh

Xin mọi người sửa giùm lisp sau.

Tôi muốn kết quả chiều cao chữ định sẵn , hoặc định một lần đầu, lần sau cứ enter là chiều cao chữ đó. ở đây tôi cứ mày mò ra được chiều cao chữ lần đầu sử dụng, nhưng enter thi cad không hiểu lệnh.

 

Mong mọi người giúp đỡ.

 

;; free lisp from cadviet.com


(defun add_mline ()

(foreach e_record_sub e_record

(cond ((= 10 (car e_record_sub))

(setq pt1 (cdr e_record_sub)

mline_len 0.0

)

)

((= 11 (car e_record_sub))

(setq pt2 (cdr e_record_sub)

mline_len (+ mline_len (distance pt2 pt1))

pt1 pt2

)

)

)

)

(setq f (+ f mline_len))

(ssdel e_name ss)

)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun C:th (/ f ss e_name e_record e_type)

(setq f 0.0)

(setq ss (ssget))

(if (null ss)

(exit))

(while (> (sslength ss) 0)

(setq e_name (ssname ss 0))

(setq e_record (entget e_name))

(setq e_type (cdr (assoc '0 e_record)))

(cond ((wcmatch e_type "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")

(command "lengthen" e_name "")    

(setq f (+ f (getvar "PERIMETER")))

(ssdel e_name ss))

((wcmatch e_type "MLINE") (add_mline))

(e_type (ssdel e_name ss))))

(setq p (getpoint "\n Chon diem nhap ket qua" ))

(if (not k) (setq k 1)) (setq h (getreal (strcat "\n Nhap chieu cao text < " (rtos k 2 2) " >: "))) (if h (setq k h))

(command "text" p h "0" (strcat(rtos f 2 0)))

;(prompt (strcat "\nTotal length is: " (rtos f 2 2)))

(princ));end

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Lisp Ghi chiều dài thanh thép bên cạnh
Xin mọi người sửa giùm lisp sau.
Tôi muốn kết quả chiều cao chữ định sẵn , hoặc định một lần đầu, lần sau cứ enter là chiều cao chữ đó. ở đây tôi cứ mày mò ra được chiều cao chữ lần đầu sử dụng, nhưng enter thi cad không hiểu lệnh.
 
Mong mọi người giúp đỡ.
 
;; free lisp from cadviet.com
(defun add_mline ()
(foreach e_record_sub e_record
(cond ((= 10 (car e_record_sub))
(setq pt1 (cdr e_record_sub)
mline_len 0.0
)
)
((= 11 (car e_record_sub))
(setq pt2 (cdr e_record_sub)
mline_len (+ mline_len (distance pt2 pt1))
pt1 pt2
)
)
)
)
(setq f (+ f mline_len))
(ssdel e_name ss)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:th (/ f ss e_name e_record e_type)
(setq f 0.0)
(setq ss (ssget))
(if (null ss)
(exit))
(while (> (sslength ss) 0)
(setq e_name (ssname ss 0))
(setq e_record (entget e_name))
(setq e_type (cdr (assoc '0 e_record)))
(cond ((wcmatch e_type "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")
(command "lengthen" e_name "")    
(setq f (+ f (getvar "PERIMETER")))
(ssdel e_name ss))
((wcmatch e_type "MLINE") (add_mline))
(e_type (ssdel e_name ss))))
(setq p (getpoint "\n Chon diem nhap ket qua" ))
(if (not k) (setq k 1)) (setq h (getreal (strcat "\n Nhap chieu cao text < " (rtos k 2 2) " >: "))) (if h (setq k h))
(command "text" p h "0" (strcat(rtos f 2 0)))
;(prompt (strcat "\nTotal length is: " (rtos f 2 2)))
(princ));end

http://www.cadviet.com/upfiles/3/13694_

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Lisp Ghi chiều dài thanh thép bên cạnh

Xin mọi người sửa giùm lisp sau.

Tôi muốn kết quả chiều cao chữ định sẵn , hoặc định một lần đầu, lần sau cứ enter là chiều cao chữ đó. ở đây tôi cứ mày mò ra được chiều cao chữ lần đầu sử dụng, nhưng enter thi cad không hiểu lệnh.

 

Mong mọi người giúp đỡ.

 

;; free lisp from cadviet.com


(defun add_mline ()

(foreach e_record_sub e_record

(cond ((= 10 (car e_record_sub))

(setq pt1 (cdr e_record_sub)

mline_len 0.0

)

)

((= 11 (car e_record_sub))

(setq pt2 (cdr e_record_sub)

mline_len (+ mline_len (distance pt2 pt1))

pt1 pt2

)

)

)

)

(setq f (+ f mline_len))

(ssdel e_name ss)

)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun C:th (/ f ss e_name e_record e_type)

(setq f 0.0)

(setq ss (ssget))

(if (null ss)

(exit))

(while (> (sslength ss) 0)

(setq e_name (ssname ss 0))

(setq e_record (entget e_name))

(setq e_type (cdr (assoc '0 e_record)))

(cond ((wcmatch e_type "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")

(command "lengthen" e_name "")    

(setq f (+ f (getvar "PERIMETER")))

(ssdel e_name ss))

((wcmatch e_type "MLINE") (add_mline))

(e_type (ssdel e_name ss))))

(setq p (getpoint "\n Chon diem nhap ket qua" ))

(if (not k) (setq k 1)) (setq h (getreal (strcat "\n Nhap chieu cao text < " (rtos k 2 2) " >: "))) (if h (setq k h))

(command "text" p h "0" (strcat(rtos f 2 0)))

;(prompt (strcat "\nTotal length is: " (rtos f 2 2)))

(princ));end

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×